## couchdb 1.6.0

=== src/my-first-couchdb-plugin/Makefile ===
## Licensed under the Apache License, Version 2.0 (the "License"); you may not
## use this file except in compliance with the License. You may obtain a copy of
## the License at
##
##   http://www.apache.org/licenses/LICENSE-2.0
##
## Unless required by applicable law or agreed to in writing, software
## distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
## WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
## License for the specific language governing permissions and limitations under
## the License.

# Customize here
NAME=my_first_couchdb_plugin
VERSION=1.0.0
# Stop customizing here

ERL=$(shell couch-config --erl-bin)
ERLANG_VERSION=$(shell couch-config --erlang-version)
COUCHDB_VERSION=$(shell couch-config --couch-version | sed 's/\+.*//')
PLUGIN_DIRS=ebin priv
PLUGIN_VERSION_SLUG=$(NAME)-$(VERSION)-$(ERLANG_VERSION)-$(COUCHDB_VERSION)
PLUGIN_DIST=$(PLUGIN_VERSION_SLUG)

all: compile

compile:
	ERL_LIBS=$(shell couch-config --erl-libs-dir):$(ERL_LIBS) rebar compile

dev:
	@ERL_LIBS=$(shell pwd) couchdb -i -a priv/default.d/*.ini

plugin: compile
	@mkdir -p $(PLUGIN_DIRS)
	@mkdir -p $(PLUGIN_DIST)
	@cp -r $(PLUGIN_DIRS) $(PLUGIN_DIST)
	@tar czf $(PLUGIN_VERSION_SLUG).tar.gz $(PLUGIN_DIST)
	@$(ERL) -eval 'File = "$(PLUGIN_VERSION_SLUG).tar.gz", {ok, Data} = file:read_file(File),io:format("~s: ~s~n", [File, base64:encode(crypto:sha(Data))]),halt()' -noshell

## couchdb 1.1.0

=== debian/changelog ===
couchdb (1.1.0-2) unstable; urgency=low

  [ Mike Hommey ]
  * debian/patches/mozjs.patch: Backported changes to allow to build against
    newer libmozjs (closes: #631031, #642218).

  [ Laszlo Boszormenyi (GCS) <gcs@debian.hu> ]
  * Restore missing changelog entries and fixes.
  * Drop init.patch , couchdb can be stopped again (closes: #601339).
  * Change to 3.0 (quilt) source format.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sat, 06 Aug 2011 09:33:58 +0200

couchdb (1.1.0-1) unstable; urgency=low

  * New upstream release (closes: #590334).
  * Version jQuery dependency (closes: #582022, #614941).
  * Empty dependency_libs in *.la (closes: #621202).
  * Drop pid.patch , applied upstream and drop icu-config.patch not needed.
  * Fix postrm , remove_file_collection is missing.
  * Fix several lintian errors and warnings:
    - add patch to implement force-reload initscript option
    - use real erlang dependency, not just the virtual ABI one
    - remove embedded jquery.form.js , depend on its package
    - remove var/run/couchdb from the package, it'll be created on demand

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 14 Apr 2011 11:56:01 +0200

couchdb (0.11.0-2.3) unstable; urgency=high

  * Non-maintainer upload.
  * debian/rules: make sure /var/{lib,log}/couchdb have permission set to 750
    (related to #600051).

 -- Serafeim Zanikolas <sez@debian.org>  Mon, 01 Nov 2010 20:08:08 +0100

couchdb (0.11.0-2.2) unstable; urgency=high

  * Non-maintainer upload.
  * Apply permission settings during package build (as opposed to during
    package installation) (Closes: #600051). Setting high urgency for RC bug.

 -- Serafeim Zanikolas <sez@debian.org>  Sat, 30 Oct 2010 13:03:20 +0200

couchdb (0.11.0-2.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2010-2234: fix Cross-site request forgery vulnerability
    (Closes: #570013)

 -- Giuseppe Iuculano <iuculano@debian.org>  Sun, 26 Sep 2010 11:09:53 +0200

couchdb (0.11.0-2) unstable; urgency=low

  * Added patch from upstream which fixes compatibiluty with Erlang R14A
    (closes: #587768, #587386).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 05 Jul 2010 23:04:45 +0400

couchdb (0.11.0-1) unstable; urgency=medium (security fixes)

  * New upstream release, including security fix for CVE-2010-00009.
    (closes: #576304, #577417)
  * Removed debian/patches/icu-patch.patch, as it's no longer needed.

 -- Sam Bisbee <sbisbee@computervip.com>  Fri, 16 Apr 2010 18:04:47 +0400

couchdb (0.10.1-2) unstable; urgency=low

  [ Elliot Murphy ]
  * Updated debian/control, added Elliot to Uploaders
  * Dropped $ENABLE_SERVER portion of debian/patches/init.patch

  [ Sam Bisbee ]
  * Updated debian/patches/init.patch, adding a grace period to the init
    script's stop task to allow couchdb's child processes (ie., heart) a chance
    to exit before deciding whether the task was successful or not. This adds a
    dependency on procps (`ps` command).
  * Removed debian/preinst, undoing killall preinst patch from 0.10.0-1 that is
    no longer needed due to the grace period init patch in this release. This 
    also removes the dependency on psmisc. (closes: #562901) 
  * Updated debian/control, bumping Debian standards version to 3.8.4.
  * Updated debian/control, adding mawk as a dependency. The majority of
    systems will have it installed with the base system, but it's required and
    not essential. (closes: #569965)

 -- Sam Bisbee <sbisbee@computervip.com>  Tue, 09 Mar 2010 21:55:59 +0300

couchdb (0.10.1-1) unstable; urgency=low

  * New upstream release (closes: #550782). 
  * Cleaning up nmu related lintian warnings. 

 -- Sam Bisbee <sbisbee@computervip.com>  Wed, 23 Dec 2009 23:15:27 -0500

couchdb (0.10.0-1) unstable; urgency=low

  [ Elliot Murphy ]
  * Updated debian/copyright, added src/etap*
  * Updated debian/control, changed Maintainer to Erlang team address
  * Updated debian/control, changed Vcs- links to new locations.

  [ Sergei Golovan ]
  * New upstream release (closes: #551212, #554080, #554593).
  * Removed unnecessary build dependency on transitional erlang-nox package.
  * Replaced subst variables in dependencies by ${erlang:Depends} which allows
    to calculate dependencies automatically. This removes erlang-nox from
    dependencies (closes: #532756).
  * Bumped standards version to 3.8.3.
  * It's normal if /etc/init.d script is left after package removal as a
    config file (and the binary isn't available). Therefore made it return
    success in case if /usr/bin/couchdb doesn't exist or isn't an executable.
  * Change current directory to /var/run/couchdb in init script to prevent
    error messages about access violation by code server if the current dir
    isn't readable by the couchdb user.
  * Put log files directly into /var/log/couchdb directory. There's no reason
    to have different log subdirectories for different couchdb versions.

  [ Noah Slater ]
  * Updated debian/control, updated Build-Depends on debhelper to 7.2.11.

  [ Sam Bisbee ]
  * Updated debian/control, repointed Vcs links.
  * Fix "replacing libreadline5-dev build dependency with libreadline-
    dev" Updated debian/control, changed libreadline5-dev dependency to
    libreadline-dev. (Closes: #553742)
  * Updated debian/README.Debian, removed log directory partitioning info
    per Sergei's related changes to put all logs in one directory.
  * Updated debian/postrm, rmdir didn't like that its target directories
    weren't non-empty (despite passed args), causing errors and failing to
    remove directories. Also removed the version partitioning cases.
  * Created debian/preinst, now we make sure that couchdb isn't running any
    beam processes on upgrade. Upgrading from 0.9.0-2 was leaving old code in a
    running beam process, so you were running 0.9.0 couchdb but had 0.10.0 code
    installed until you killed the process. Adds a dependency on psmisc.



=== debian/control ===
Source: couchdb
Section: misc
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Standards-Version: 3.9.2
Build-Depends: cdbs (>= 0.4.42),
               debhelper (>= 7.2.11),
               erlang-crypto,
               erlang-dev (>= 1:13.b.1-dfsg-3),
               erlang-eunit,
               erlang-inets,
               erlang-xmerl,
               help2man,
               libcurl4-openssl-dev,
               libicu-dev,
               libmozjs-dev,
               libreadline-dev
Homepage: http://couchdb.apache.org/

Package: couchdb
Architecture: any
Depends: adduser,
         erlang-base-hipe | erlang-base | ${erlang-abi:Depends},
         libjs-jquery (>= 1.4.2),
         libjs-jquery-form (>= 2.36),
         lsb-base,
	 mawk,
         procps,
         ${erlang-crypto:Depends},
         ${erlang-inets:Depends},
         ${erlang-xmerl:Depends},
         ${erlang:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: RESTful document oriented database
 Apache CouchDB is a distributed, fault-tolerant and schema-free
 document-oriented database accessible via a RESTful HTTP/JSON API. Among other
 features, it provides robust, incremental replication with bi-directional
 conflict detection and resolution, and is queryable and indexable using a
 table-oriented view engine with JavaScript acting as the default view
 definition language.
 .
 CouchDB is written in Erlang, but can be easily accessed from any environment
 that provides means to make HTTP requests. There are a multitude of third-party
 client libraries that make this even easier for a variety of programming
 languages and environments.

=== debian/rules ===
#!/usr/bin/make -f

# Copyright 2009, Noah Slater <nslater@tumbolia.org>

# Copying and distribution of this file, with or without modification, are
# permitted in any medium without royalty provided the copyright notice and this
# notice are preserved.

include /usr/share/cdbs/1/rules/buildcore.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_INSTALL_DOCS_ALL =
DEB_DH_INSTALLINIT_ARGS = --onlyscripts

LIB = ${localstatedir}/lib/\$${package_identifier}

# @@ workaround for #486848
binary-arch binary-indep: build

post-patches::
	sed -i s,$(LIB)$$,$(LIB)/$(DEB_UPSTREAM_VERSION), configure
	sed -i s,VERSION=%VERSION%$$,VERSION=$(DEB_UPSTREAM_VERSION), debian/postrm

cleanbuilddir::
	sed -i s,$(LIB)/$(DEB_UPSTREAM_VERSION)$$,$(LIB), configure
	sed -i s,VERSION=$(DEB_UPSTREAM_VERSION)$$,VERSION=%VERSION%, debian/postrm

common-binary-post-install-arch::
	rm -r debian/couchdb/var/run
	rm -f debian/couchdb/usr/share/doc/couchdb/LICENSE.gz
	rm -f debian/couchdb/usr/share/doc/couchdb/INSTALL.*
	rm -f debian/couchdb/usr/lib/couchdb/erlang/lib/couch-*/priv/lib/couch_erl_driver.la
	rm -f debian/couchdb/usr/share/couchdb/www/script/jquery.js
	rm -f debian/couchdb/usr/share/couchdb/www/script/jquery.form.js
	chmod a-x debian/couchdb/usr/share/couchdb/server/main.js
	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/couchdb -name '*.la'`
	dh_link /usr/share/javascript/jquery/jquery.js /usr/share/couchdb/www/script/jquery.js
	dh_link /usr/share/javascript/jquery-form/jquery.form.js /usr/share/couchdb/www/script/jquery.form.js

common-binary-predeb-arch::
	dh_fixperms debian/couchdb/
	chmod 660 debian/couchdb/etc/couchdb/local.ini
	chmod 750 debian/couchdb/var/lib/couchdb
	chmod 750 debian/couchdb/var/log/couchdb
	erlang-depends

# @@ only works from source directory, see #494141
.PHONY: get-orig-source
get-orig-source:
	uscan --force-download --rename --download-version=$(DEB_UPSTREAM_VERSION) --destdir .

=== debian/watch ===
version=3

http://www.apache.org/dist/couchdb/([\d\.]+)/apache-couchdb-([\d\.]+)\.tar\.gz

## couchdb 1.1.1

=== debian/changelog ===
couchdb (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * Drop mawk dependency, not needed anymore (closes: 647173).
  * Update Erlang dependency to match upstream recommendation
    (closes: #632975).
  * Enable experimental Mozilla SpiderMonkey JavaScript support, mozjs.patch
    doesn't needed anymore.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 27 Nov 2011 09:06:57 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cdbs (>= 0.4.42),
                debhelper (>= 7.2.11),
                erlang-crypto,
-               erlang-dev (>= 1:13.b.1-dfsg-3),
+               erlang-dev (>= 1:13.b.2.1),
                erlang-eunit,
                erlang-inets,
                erlang-xmerl,
@@ -24,7 +24,6 @@
          libjs-jquery (>= 1.4.2),
          libjs-jquery-form (>= 2.36),
          lsb-base,
-	 mawk,
          procps,
          ${erlang-crypto:Depends},
          ${erlang-inets:Depends},

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 
+DEB_CONFIGURE_EXTRA_FLAGS = --enable-js-trunk
 DEB_INSTALL_DOCS_ALL =
 DEB_DH_INSTALLINIT_ARGS = --onlyscripts

## couchdb 1.2.0

=== debian/changelog ===
couchdb (1.2.0-5ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules, debian/control: Split couchdb and couchdb-bin.
    - debian/postinst: Rename to couchdb-bin.postinst.
    - debian/couchdb-bin.postrm: Don't try to delete couchdb system
      user/group.

 -- Logan Rosen <logatronico@gmail.com>  Mon, 21 Jan 2013 17:26:25 -0500

couchdb (1.2.0-5) unstable; urgency=high

  * Fix debian/patches/series for CVE-2012-5649 and CVE-2012-5650 fixes.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 18 Jan 2013 22:04:32 +0100

couchdb (1.2.0-4) unstable; urgency=high

  * Fix CVE-2012-5649 and CVE-2012-5650 with adding upstream fixes as patches:
    improve_parsing_of_mochiweb_relative_paths.patch ,
    improve_script_url_validation.patch and
    include_a_comment_before_jsonp_output.patch (closes: #698439).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Fri, 18 Jan 2013 20:04:01 +0100

couchdb (1.2.0-3ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules, debian/control: Split couchdb and couchdb-bin.
    - debian/postinst: Rename to couchdb-bin.postinst.
    - debian/couchdb-bin.postrm: Don't try to delete couchdb system
      user/group.

 -- Logan Rosen <logatronico@gmail.com>  Tue, 25 Dec 2012 03:35:04 -0500

couchdb (1.2.0-3) unstable; urgency=low

  * Rework couchdb own run directory (updates: #681549).
  * Use SIGTERM instead of SIGHUP for graceful shutdown (closes: #692295).
  * Wait until complete stop of service.
  * Use couchdb user for logrotate (closes: #652172).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Sun, 18 Nov 2012 12:24:24 +0100

couchdb (1.2.0-2ubuntu1) quantal; urgency=low

  * Merge from Debian unstable (LP: #1022515, LP: #817656):
    - fixes ownership of /etc/couchdb.  LP: #731272.
  * Remaining changes:
    - Use pkg-config instead of the js-config script shipped by libmozjs
    - debian/rules, debian/control: split couchdb and couchdb-bin
    - debian/postinst: renamed to couchdb-bin.postinst
    - debian/couchdb-bin.postrm: don't try to delete couchdb system
      user/group
  * Dropped changes, superseded upstream:
    - Backport svn r1039345 from 1.0.3
    - debian/patches/couchio-*: patchset from CouchIO to fix U1 replication
      over SSL.  It's not clear if these were upstreamed, but most of the
      source files they applied to no longer exist at all upstream, so if
      these are still needed they will need to be redone.
    - debian/patches/fix-help2man.patch: dropped, no longer needed
    - debian/patches/jquery15-fix.patch: Make Futon work with jQuery 1.5
    - debian/patches/moz*.patch: Spidermonkey 1.8.54 patchset
  * Dropped changes, included in Debian:
    - debian/control - bump standards version
    - debian/control - fix lintian error not-binnmuable-all-depends-any
    - Build against a proper libmozjs
    - Update build-depends/depends/build config (we no longer need the
      --with-js build flags)
  * Dropped changes, superseded in Debian:
    - source/format - mark package as 1.0 format
    - change the default permissions on /etc/couchdb to 0775 and files to
      0664

  [ Jason Gerard DeRose ]
  * /etc/couchdb/default.ini and /etc/couchdb/default.d are delivered in the
    `couchdb-bin` package and are owned by root
  * /etc/couchdb/local.ini and /etc/couchdb/local.d are delivered in the
  * The `couchdb-bin` package does not create nor require the "couchdb" user
    (this is now done in the `couchdb` package instead).  LP: #1007125.
  * Added a short sleep delay in couchdb.postrm so couchdb is more likely to
    have actually terminated by the time we `deluser couchdb`, which is needed
    for `sudo apt-get purge couchdb` to work when couchdb is running

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 31 Jul 2012 02:04:48 +0000

couchdb (1.2.0-2) unstable; urgency=low

  * Make couchdb user own its run directory (closes: #681549).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Thu, 19 Jul 2012 20:13:25 +0200

couchdb (1.2.0-1) unstable; urgency=low

  * New major upstream release (closes: #672141).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 10 Apr 2012 21:14:05 +0200

couchdb (1.1.1-2) unstable; urgency=low

  * Declare correct libmozjs-dev build dependency to make views working again,
    thanks to Joan Touzet <joant@atypical.net> for clarification
    (closes: #644545).
  * Update Standards-Version to 3.9.3 , update debian/copyright to match it.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.hu>  Tue, 20 Mar 2012 06:41:16 +0100

couchdb (1.0.1-0ubuntu18) precise; urgency=low

  * Rebuild for libicu48.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Nov 2011 16:06:03 +0000

couchdb (1.0.1-0ubuntu17) oneiric; urgency=high

  * Backport svn r1039345 from 1.0.3 (LP: #780972)

 -- John S Gruber <johnsgruber@gmail.com>  Fri, 02 Sep 2011 01:02:01 -0400

couchdb (1.0.1-0ubuntu16) oneiric; urgency=low

  * Update Spidermonkey 1.8.5 patchset to the more palatable ones I'm
    forwarding upstream
    - update debian/patches/moz0001-spidermonkey1.8.5.patch
    - update debian/patches/moz0002-libmozjs.patch
    - update debian/patches/moz0003-spidermonkey1.8.5_autotools.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 14 Jun 2011 17:47:09 +0100

couchdb (1.0.1-0ubuntu15) natty; urgency=low

  * Rebuild against latest libmozjs, since we turned on --enable-threadsafe
  * Also switch to using pkg-config rather than using the js-config script
    shipped by libmozjs. The latter is totally broken since turning on
    --enable-ctypes
    - update debian/patches/moz0002-libmozjs.patch
    - update debian/patches/moz0003-spidermonkey1.8.5_autotools.patch
    - Fixes (LP: #758895)

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 15 Apr 2011 13:21:56 +0100

couchdb (1.0.1-0ubuntu14) natty; urgency=low

  * Build against a proper libmozjs \o/
    - FFe LP: #740815


=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: couchdb
 Section: misc
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
-Standards-Version: 3.9.2
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
+Standards-Version: 3.9.3
 Build-Depends: cdbs (>= 0.4.42),
                debhelper (>= 7.2.11),
                erlang-crypto,
@@ -13,14 +14,13 @@
                help2man,
                libcurl4-openssl-dev,
                libicu-dev,
-               libmozjs-dev,
+               libmozjs185-dev,
                libreadline-dev
 Homepage: http://couchdb.apache.org/
 
-Package: couchdb
+Package: couchdb-bin
 Architecture: any
-Depends: adduser,
-         erlang-base-hipe | erlang-base | ${erlang-abi:Depends},
+Depends: erlang-base-hipe | erlang-base | ${erlang-abi:Depends},
          libjs-jquery (>= 1.4.2),
          libjs-jquery-form (>= 2.36),
          lsb-base,
@@ -31,6 +31,7 @@
          ${erlang:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
+Suggests: couchdb
 Description: RESTful document oriented database
  Apache CouchDB is a distributed, fault-tolerant and schema-free
  document-oriented database accessible via a RESTful HTTP/JSON API. Among other
@@ -43,3 +44,23 @@
  that provides means to make HTTP requests. There are a multitude of third-party
  client libraries that make this even easier for a variety of programming
  languages and environments.
+
+Package: couchdb
+Architecture: all
+Depends: couchdb-bin (>= ${binary:Version}), ${misc:Depends}, adduser
+Replaces: couchdb-bin (<= 1.0.1-0ubuntu18)
+Description: RESTful document oriented database (system-wide instance)
+ Apache CouchDB is a distributed, fault-tolerant and schema-free
+ document-oriented database accessible via a RESTful HTTP/JSON API. Among other
+ features, it provides robust, incremental replication with bi-directional
+ conflict detection and resolution, and is queryable and indexable using a
+ table-oriented view engine with JavaScript acting as the default view
+ definition language.
+ .
+ CouchDB is written in Erlang, but can be easily accessed from any environment
+ that provides means to make HTTP requests. There are a multitude of third-party
+ client libraries that make this even easier for a variety of programming
+ languages and environments.
+ .
+ This package adds the /etc/init.d/couchdb script and other items needed for a
+ system-wide CouchDB instance that is started at boot.

=== debian/rules ===
#!/usr/bin/make -f

# Copyright 2009, Noah Slater <nslater@tumbolia.org>

# Copying and distribution of this file, with or without modification, are
# permitted in any medium without royalty provided the copyright notice and this
# notice are preserved.

include /usr/share/cdbs/1/rules/buildcore.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

#DEB_CONFIGURE_EXTRA_FLAGS = --enable-js-trunk
DEB_INSTALL_DOCS_ALL =
DEB_DH_INSTALLINIT_ARGS = -Ncouchdb-bin --onlyscripts

LIB = ${localstatedir}/lib/\$${package_identifier}

# @@ workaround for #486848
binary-arch binary-indep: build

post-patches::
	sed -i s,$(LIB)$$,$(LIB)/$(DEB_UPSTREAM_VERSION), configure
	sed -i s,VERSION=%VERSION%$$,VERSION=$(DEB_UPSTREAM_VERSION), debian/couchdb.postrm

cleanbuilddir::
	sed -i s,$(LIB)/$(DEB_UPSTREAM_VERSION)$$,$(LIB), configure
	sed -i s,VERSION=$(DEB_UPSTREAM_VERSION)$$,VERSION=%VERSION%, debian/couchdb.postrm

common-binary-post-install-arch::
	rm -r debian/tmp/var/run
	rm -f debian/couchdb-bin/usr/share/doc/couchdb/LICENSE.gz
	rm -f debian/couchdb-bin/usr/share/doc/couchdb/INSTALL.*
	rm -f debian/couchdb-bin/usr/lib/couchdb/erlang/lib/couch-*/priv/lib/couch_erl_driver.la
	rm -f debian/couchdb-bin/usr/share/couchdb/www/script/jquery.js
	rm -f debian/couchdb-bin/usr/share/couchdb/www/script/jquery.form.js
	chmod a-x debian/couchdb-bin/usr/share/couchdb/server/main.js \
		debian/couchdb-bin/usr/share/couchdb/server/main-coffee.js
	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/couchdb-bin -name '*.la'`
	dh_link /usr/share/javascript/jquery/jquery.js /usr/share/couchdb/www/script/jquery.js
	dh_link /usr/share/javascript/jquery-form/jquery.form.js /usr/share/couchdb/www/script/jquery.form.js

common-binary-predeb-arch::
	erlang-depends

common-binary-predeb-indep::
	chmod 660 debian/couchdb/etc/couchdb/local.ini
	chmod 750 debian/couchdb/var/lib/couchdb
	chmod 750 debian/couchdb/var/log/couchdb

# @@ only works from source directory, see #494141
.PHONY: get-orig-source
get-orig-source:
	uscan --force-download --rename --download-version=$(DEB_UPSTREAM_VERSION) --destdir .

## couchdb 1.4.0

=== debian/changelog ===
couchdb (1.4.0-3) unstable; urgency=low

  * Update erlang run-time dependencies (closes: #721322).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 30 Aug 2013 19:16:01 +0200

couchdb (1.4.0-2) unstable; urgency=low

  * 'dir', topmost node of the Info hierarchy may not be generated on all
    architectures - don't fail its removal if it's not there.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 30 Aug 2013 01:03:38 +0200

couchdb (1.4.0-1) unstable; urgency=low

  * New upstream release (closes: #655674, #713748, #714263).
  * Remove possible bashism (closes: #701550).
  * Remove couchdb_sighup.patch as upstream switched to SIGTERM for stopping.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 28 Aug 2013 18:21:32 +0200

=== debian/control ===
Source: couchdb
Section: misc
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Standards-Version: 3.9.4
Build-Depends: dpkg-dev (>= 1.16.1~),
               debhelper (>= 9),
               autoconf,
               erlang-crypto,
               erlang-dev (>= 1:13.b.2.1),
               erlang-eunit,
               erlang-inets,
               erlang-xmerl,
               libcurl4-openssl-dev,
               libicu-dev,
               libmozjs185-dev,
               libreadline-dev
Homepage: http://couchdb.apache.org/

Package: couchdb
Architecture: any
Depends: adduser,
         ${erlang-base:Depends} | ${erlang-abi:Depends},
         libjs-jquery (>= 1.4.2),
         libjs-jquery-form (>= 2.36),
         libjs-underscore (>= 0.5.5),
         lsb-base,
         procps,
         ${erlang:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: RESTful document oriented database
 Apache CouchDB is a distributed, fault-tolerant and schema-free
 document-oriented database accessible via a RESTful HTTP/JSON API. Among other
 features, it provides robust, incremental replication with bi-directional
 conflict detection and resolution, and is queryable and indexable using a
 table-oriented view engine with JavaScript acting as the default view
 definition language.
 .
 CouchDB is written in Erlang, but can be easily accessed from any environment
 that provides means to make HTTP requests. There are a multitude of third-party
 client libraries that make this even easier for a variety of programming
 languages and environments.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/couchdb

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(CURDIR)/configure
	rm -f $(CURDIR)/debian/couchdb.init

override_dh_auto_configure:
	autoconf
	dh_auto_configure

override_dh_auto_install:
	dh_auto_install
	rmdir $(DESTDIR)/var/run/couchdb/
	rm $(DESTDIR)/usr/share/doc/couchdb/INSTALL.*
	rm $(DESTDIR)/usr/share/doc/couchdb/LICENSE.gz
	rm $(DESTDIR)/usr/share/couchdb/www/script/jquery.js
	rm $(DESTDIR)/usr/share/couchdb/www/docs/_static/jquery.js
	rm $(DESTDIR)/usr/share/couchdb/www/script/jquery.form.js
	rm $(DESTDIR)/usr/share/couchdb/www/docs/_static/underscore.js
	dh_link /usr/share/javascript/jquery/jquery.js \
		/usr/share/couchdb/www/script/jquery.js
	dh_link /usr/share/javascript/jquery/jquery.min.js \
		/usr/share/couchdb/www/docs/_static/jquery.js
	dh_link /usr/share/javascript/jquery-form/jquery.form.js \
		/usr/share/couchdb/www/script/jquery.form.js
	dh_link /usr/share/javascript/underscore/underscore.min.js \
		/usr/share/couchdb/www/docs/_static/underscore.js
	chmod a-x $(DESTDIR)/usr/share/couchdb/server/main.js \
		$(DESTDIR)/usr/share/couchdb/server/main-coffee.js
	sed -i "/dependency_libs/ s/'.*'/''/" `find $(DESTDIR) -name '*.la'`
	cp $(CURDIR)/etc/init/couchdb $(CURDIR)/debian/couchdb.init
	rm -f $(DESTDIR)/usr/share/info/dir
	erlang-depends

override_dh_auto_test:
	echo NO TESTING
#	dh_auto_test

.PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_auto_test

=== debian/watch ===
version=3
	http://couchdb.apache.org/ \
	(?:.*/|.*=|)apache-couchdb[\-\._](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)?

## couchdb 1.5.0

=== debian/changelog ===
couchdb (1.5.0-0ubuntu1) trusty; urgency=low

  * New upstream release (LP: #1254371)
  * Don't include `couchdb` info page in `couchdb-bin` binary package as it
    provides no meaningful benefit over the `couchdb` man page (note this change
    means we don't need to add a Build-Depends on `install-info` for Trusty)
  * Remove Build-Depends: texlive-latex-base, texlive-latex-recommended,
    texlive-latex-extra, texlive-fonts-recommended, texinfo (as documentation
    thus produced doesn't get included in the binary packages anyway)
  * debian/rules: don't call ./configure with --enable-strictness as we dropped
    Build-Depends on `texlive-*`, `texinfo`, plus didn't add `install-info` 
  * Add Build-Depends: lsb-release (used for [vendor] info in default.ini)
  * debian/rules: insert proper [vendor] info in default.ini (note this should
    be improved once there is a better mechanism upstream)
  * debian/couchdb.upstart: start on filesystem and static-network-up,
    stop on deconfiguring-networking, plus add "author" line

 -- Jason Gerard DeRose <jason@system76.com>  Sun, 01 Dec 2013 16:55:05 -0700

couchdb (1.4.0-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1212481)
  * Switch from CDBS to pure debhelper (compat 9)
  * Bump Standards-Version to 3.9.4
  * Use an Upstart job instead of the upstream SysV init.d script
  * Remove Build-Depends: cdbs, libreadline-dev
  * Add Build-Depends: erlang-os-mon, erlang-syntax-tools, python-sphinx,
    texlive-latex-base, texlive-latex-recommended, texlive-latex-extra,
    texlive-fonts-recommended, texinfo
  * Remove couchdb-bin Depends: procps, lsb-base (needed for SysV init.d script)
  * Remove couchdb-bin Depends: libjs-jquery (1.7.2 is in Saucy, but the
    internal CouchDB jquery is now at version 1.8.3)
  * Simplify Erlang couchdb-bin Depends to just:
    ${erlang-abi:Depends}, ${erlang:Depends}
  * Add couchdb Depends: upstart
  * Remove deprecated couchdb-bin.postrm
  * Thanks to the Upstart job, couchdb.postrm no longer needs `sleep 3` hack,
    nor needs to `rm -r -f "/var/run/couchdb"`
  * Stop using versioned database_dir /var/lib/couchdb/VERSION as this isn't
    done upstream and CouchDB is no longer considered alpha software
  * Remove README.Debian, README.source as they're no longer applicable
  * Drop patches superseded upstream for CVE-2012-5649, CVE-2012-5650:
    - improve_parsing_of_mochiweb_relative_paths.patch
    - improve_script_url_validation.patch
    - include_a_comment_before_jsonp_output.patch
  * Because of the switch to Upstart, drop unneeded SysV init.d script patches:
    - force-reload.patch
    - couchdb_own_rundir.patch
    - wait_for_couchdb_stop.patch
  * Drop couchdb_sighup.patch, superseded upstream
  * Drop logrotate_as_couchdb.patch as it doesn't make sense for the CouchDB
    daemon to be able to modify its own archived log files
  * Move static data and docs in "/usr/share/couchdb" from `couchdb-bin` into
    new `couchdb-common` Architecture:all package
  * Add couchdb-bin Depends: couchdb-common (= ${source:Version})
  * debian/watch: point to current download location
  * debian/rules: replace `get-orig-source` with `get-packaged-orig-source`

 -- Jason Gerard DeRose <jason@system76.com>  Wed, 28 Aug 2013 16:28:32 -0600

=== debian/control ===
Source: couchdb
Section: misc
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 9),
               erlang-dev (>= 1:14.b.4),
               erlang-crypto,
               erlang-eunit,
               erlang-inets,
               erlang-xmerl,
               erlang-os-mon,
               erlang-syntax-tools,
               help2man,
               libcurl4-openssl-dev,
               libicu-dev,
               libmozjs185-dev,
               python-sphinx (>= 1.1.3),
               lsb-release,
Homepage: http://couchdb.apache.org/

Package: couchdb-common
Architecture: all
Depends: ${misc:Depends}
Replaces: couchdb-bin (<= 1.2.0-5ubuntu1)
Conflicts: couchdb-bin (<= 1.2.0-5ubuntu1)
Description: RESTful document oriented database - common data
 Apache CouchDB is a distributed, fault-tolerant and schema-free
 document-oriented database accessible via a RESTful HTTP/JSON API. Among other
 features, it provides robust, incremental replication with bi-directional
 conflict detection and resolution, and is queryable and indexable using a
 table-oriented view engine with JavaScript acting as the default view
 definition language.
 .
 CouchDB is written in Erlang, but can be easily accessed from any environment
 that provides means to make HTTP requests. There are a multitude of third-party
 client libraries that make this even easier for a variety of programming
 languages and environments.

Package: couchdb-bin
Architecture: any
Depends: couchdb-common (= ${source:Version}),
         ${erlang-abi:Depends},
         ${erlang:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
Description: RESTful document oriented database
 Apache CouchDB is a distributed, fault-tolerant and schema-free
 document-oriented database accessible via a RESTful HTTP/JSON API. Among other
 features, it provides robust, incremental replication with bi-directional
 conflict detection and resolution, and is queryable and indexable using a
 table-oriented view engine with JavaScript acting as the default view
 definition language.
 .
 CouchDB is written in Erlang, but can be easily accessed from any environment
 that provides means to make HTTP requests. There are a multitude of third-party
 client libraries that make this even easier for a variety of programming
 languages and environments.

Package: couchdb
Architecture: all
Depends: couchdb-bin (>= ${source:Version}),
         adduser,
         upstart,
         ${misc:Depends},
Replaces: couchdb-bin (<= 1.0.1-0ubuntu18)
Description: RESTful document oriented database - system-wide instance
 Apache CouchDB is a distributed, fault-tolerant and schema-free
 document-oriented database accessible via a RESTful HTTP/JSON API. Among other
 features, it provides robust, incremental replication with bi-directional
 conflict detection and resolution, and is queryable and indexable using a
 table-oriented view engine with JavaScript acting as the default view
 definition language.
 .
 CouchDB is written in Erlang, but can be easily accessed from any environment
 that provides means to make HTTP requests. There are a multitude of third-party
 client libraries that make this even easier for a variety of programming
 languages and environments.
 .
 This package adds the Upstart job and other items needed for a system-wide
 CouchDB instance that is started at boot.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-init
	sed -i s/%package_author_name%/`lsb_release -si`/ etc/couchdb/default.ini.tpl
	sed -i s/%version%/`lsb_release -sr`/ etc/couchdb/default.ini.tpl

override_dh_auto_install:
	dh_auto_install
	chmod 0640 debian/tmp/etc/couchdb/local.ini
	chmod 0750 debian/tmp/etc/couchdb/local.d
	chmod 0750 debian/tmp/var/lib/couchdb
	chmod 0750 debian/tmp/var/log/couchdb
	rm -f debian/tmp/usr/lib/couchdb/erlang/lib/couch-*/priv/lib/couch_erl_driver.la
	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/tmp -name '*.la'`

override_dh_gencontrol:
	erlang-depends
	dh_gencontrol

get-packaged-orig-source:
	uscan --noconf --download-current-version --destdir=. --rename

=== debian/watch ===
version=3

http://www.apache.org/dist/couchdb/source/([\d\.]+)/apache-couchdb-([\d\.]+)\.tar\.gz

## couchdb 1.6.0

=== debian/changelog ===
couchdb (1.6.0-0ubuntu7) wily; urgency=medium

  * No-change rebuild against new libicu

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 05 Aug 2015 17:39:30 +0100

couchdb (1.6.0-0ubuntu6) wily; urgency=medium

  * Add debian/couchdb.service to start system-wide CouchDB instance via
    systemd (LP: #1457464)
  * debian/rules: call dh --with systemd
  * debian/control: Add `dh-systemd` to Build-Depends
  * Add debian/patches/support-erlang-18.diff that patches configure.ac to
    enable building against Erlang 18

 -- Jason Gerard DeRose <jason@system76.com>  Fri, 10 Jul 2015 09:18:51 -0600

couchdb (1.6.0-0ubuntu5) vivid; urgency=medium

  * debian/rules: Reinstate init.d script, for insserv and systemd
    compatibility. Taken from Debian package.
  * Drop upstart dependency.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 12 Jan 2015 15:40:44 +0100

couchdb (1.6.0-0ubuntu4) utopic; urgency=medium

  * Build-depend on pkg-config.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Aug 2014 16:43:28 +0200

couchdb (1.6.0-0ubuntu3) utopic; urgency=medium

  * Fix pthread autoconf test.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Aug 2014 16:02:56 +0200

couchdb (1.6.0-0ubuntu2) utopic; urgency=medium

  * Build using dh-autoreconf. LP: #1359738.
  * Build-depend on autoconf-archive.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Aug 2014 15:28:04 +0200

couchdb (1.6.0-0ubuntu1) utopic; urgency=low

  * New upstream release (LP: #1212481)
  * debian/control: bump Standards-Version to 3.9.5

 -- Jason Gerard DeRose <jason@system76.com>  Sun, 20 Jul 2014 16:31:46 -0600

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,12 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9),
+               dh-systemd,
+               dh-autoreconf,
+               pkg-config,
+               autoconf-archive,
                erlang-dev (>= 1:14.b.4),
                erlang-crypto,
                erlang-eunit,
@@ -62,7 +66,6 @@
 Architecture: all
 Depends: couchdb-bin (>= ${source:Version}),
          adduser,
-         upstart,
          ${misc:Depends},
 Replaces: couchdb-bin (<= 1.0.1-0ubuntu18)
 Description: RESTful document oriented database - system-wide instance

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,14 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@
+	dh $@ --with autoreconf,systemd
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f $(CURDIR)/debian/couchdb.init
 
 override_dh_auto_configure:
-	dh_auto_configure -- --disable-init
+	dh_auto_configure
 	sed -i s/%package_author_name%/`lsb_release -si`/ etc/couchdb/default.ini.tpl
 	sed -i s/%version%/`lsb_release -sr`/ etc/couchdb/default.ini.tpl
 
@@ -16,6 +20,7 @@
 	chmod 0750 debian/tmp/var/log/couchdb
 	rm -f debian/tmp/usr/lib/couchdb/erlang/lib/couch-*/priv/lib/couch_erl_driver.la
 	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/tmp -name '*.la'`
+	cp $(CURDIR)/etc/init/couchdb $(CURDIR)/debian/couchdb.init
 
 override_dh_gencontrol:
 	erlang-depends
